Groovy 1.7.0

## groovy.util
Interface ObjectGraphBuilder.ChildPropertySetter

    interface ObjectGraphBuilder.ChildPropertySetter

Strategy for setting a child node on its parent.
Useful for handling Lists/Arrays vs normal properties.

Method Summary
`void` | `setChild(Object parent, Object child, String parentName, String propertyName)`

Method Detail

### setChild

    public void setChild(Object parent, Object child, String parentName, String propertyName)

  param:
    parent the parent's node value
  param:
    child the child's node value
  param:
    parentName the name of the parent node
  param:
    propertyName the resolved relation name of the child

Copyright © 2003-2009 The Codehaus. All rights reserved.